検索 
         
[V4] [V5] [GW] ProselfのバージョンとJavaのバージョン対応関係について教えてください。

対応関係については下表をご参照ください。

◆Proself Ver.5
Java11 Java8 備考
Ver5.20以上 Oracle JDK及び以下OpenJDKが対象となります。
Red Hat系Linux:OSにバンドルされているOpenJDK
Windows Server:Adoptium OpenJDK(旧AdoptOpenJDK)
Ver5.00~Ver5.11 × Oracle JDKが対象となります。
※Windows OSの場合、ProselfのインストーラーにJavaのインストーラーも同梱しております。

◆Proself Ver.4
Java11 Java8 Java7 Java6 備考
Ver4.50以上 × Oracle JDK及び以下OpenJDKが対象となります。
Red Hat系Linux:OSにバンドルされているOpenJDK
Windows Server:Adoptium OpenJDK(旧AdoptOpenJDK)
Ver4.40~Ver4.42 Oracle JDK及び以下OpenJDKが対象となります。
Red Hat系Linux:OSにバンドルされているOpenJDK
Windows Server:Adoptium OpenJDK(旧AdoptOpenJDK)
Ver4.17~Ver4.33 × Oracle JDKが対象となります。
Ver4.00~Ver4.16 × × Oracle JDKが対象となります。
※Windows OSの場合、ProselfのインストーラーにJavaのインストーラーも同梱しております。

◆Proself Gateway Edition
Java11 Java8 備考
Ver1.30以上 Oracle JDK及び以下OpenJDKが対象となります。
Red Hat系Linux:OSにバンドルされているOpenJDK
Windows Server:Adoptium OpenJDK(旧AdoptOpenJDK)
Ver1.00~Ver1.20 × Oracle JDKが対象となります。
※Windows OSの場合、ProselfのインストーラーにJavaのインストーラーも同梱しております。

弊社では最新バージョンのJDKリリース時点におけるProselfの最新バージョンにて動作確認を行うようにしておりますが、リリース直後は動作確認が取れていない場合がございます。
そのため、動作確認状況を知りたい場合は以下よりお問い合わせください。
お問い合わせページへ

(最終更新日:2022/06/09)